# PetscOptionsGetScalar

Gets the scalar value for a particular option in the database.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscOptionsGetScalar(const char pre[],const char name[],PetscScalar *dvalue,PetscTruth *flg)

Not Collective

### Input Parameters

| pre | - string to prepend to each name or PETSC_NULL
| name | - the option one is seeking

### Output Parameter

| dvalue | - the double value to return
| flg | - PETSC_TRUE if found, else PETSC_FALSE

### Usage

A complex number 2+3i can be specified as 2,3 at the command line. or a number 2.0e-10 - 3.3e-20 i can be specified as 2.0e-10,3.3e-20

### C++ variants

| PetscOptionsGetScalar(const char b[],PetscScalar i[],PetscTruth *f) |  | -> |  | PetscOptionsGetScalar(PETSC_NULL,b,i,f)

### See Also

PetscOptionsGetInt(), PetscOptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsTruth(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsTruthGroupBegin(), PetscOptionsTruthGroup(), PetscOptionsTruthGroupEnd(), PetscOptionsList(), PetscOptionsEList()

Level:beginner
Location: src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex25.c.html
src/snes/examples/tutorials/ex27.c.html